# $Revision: 1.111 $, $Date: 2012/02/15 11:27:37 $
#
# Conditional build:
%bcond_without	aalib		# without aaxine UI
%bcond_without	caca		# without cacaxine UI
%bcond_without	lirc		# without lirc support
%bcond_without	nvtv		# without nvtv support
%bcond_with	directfb	# with dfbxine UI [disabled in sources at the moment]
%bcond_with	vdr		# with vdr special keys support
#
%ifnarch alpha arm %{ix86} ia64 sh %{x8664}
%undefine	with_nvtv
%endif
%define	xine_ver 1:1.1.0
Summary:	A Free Video Player
Summary(ko.UTF-8):	공개 동영상 플레이어
Summary(pl.UTF-8):	Odtwarzacz video
Summary(pt_BR.UTF-8):	Xine, um player de video
Summary(zh_CN.UTF-8):	一个免费的视频播放器(界面)
Name:		xine-ui
Version:	0.99.6
Release:	5
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://downloads.sourceforge.net/xine/%{name}-%{version}.tar.xz
# Source0-md5:	d468b4e7fe39ff19888261e1da9be914
Source1:	xine.desktop
#Source2:	xine.png
Source2:	xine_logo.png
Patch0:		%{name}-ncurses.patch
Patch1:		%{name}-nolibs.patch
Patch2:		%{name}-pl.po.patch
Patch3:		%{name}-curl.patch
Patch4:		%{name}-lirc.patch
Patch5:		%{name}-libpng15.patch
URL:		http://www.xine-project.org/
%{?with_directfb:BuildRequires:	DirectFB-devel >= 0.9.10}
%{?with_aalib:BuildRequires:	aalib-devel >= 1.2.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.8.1
BuildRequires:	bison
BuildRequires:	curl-devel >= 7.10.2
BuildRequires:	gettext-devel
%{?with_caca:BuildRequires:	libcaca-devel >= 0.99}
%{?with_nvtv:BuildRequires:	libnvtvsimple-devel >= 0.4.6}
BuildRequires:	libpng-devel	>= 2:1.4.0
BuildRequires:	libtool
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 4.2a
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	tar >= 1:1.24
BuildRequires:	xine-lib-devel >= %{xine_ver}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xz
Requires:	xine-lib >= %{xine_ver}
Requires:	xine-plugin-audio >= %{xine_ver}
Obsoletes:	xine
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xine is a free gpl-licensed video player for Unix-like systems. We
support mpeg-2 and mpeg-1 system (audio + video multiplexed) streams,
eventually mpeg-4 and other formats might be added.

xine plays the video and audio data of mpeg-2 videos and synchronizes
the playback of both. Depending on the properties of the mpeg stream,
playback will need more or less processor power, 100% frame rate has
been seen on a 400 MHz P II system.

%description -l fr.UTF-8
xine est un lecteur vidéo libre sous license GPL pour les systèmes de
type Unix. Nous supportons les flux mpeg-2 et mpeg-1 (audio + vidéo
multiplexés), éventuellement le mpeg-4 et d'autres formats peuvent
êtres ajoutés.

xine joue les données vidéo et audio de vidéo mpeg-2 et synchronise la
lecture des deux. En fonction des propriétes du flux mpeg, la lecture
aura besoin de plus ou moins de puissance du processeur, 100% de
restitution de trame a été vus sur un système PII 400MHz.

%description -l ko.UTF-8
xine 는 GPL라이선스를 따르는 UNIX용 공개 동영상 플레이어입니다. 이
플레이어는 mpeg-2 와 mpeg 1 스트림을 지원하며, 현재는 지원하지 않지만
나중에는 mpeg-4 와 다른 형식의 동영상도 지원할 예정입니다.

%description -l pl.UTF-8
xine jest wolnodostępnym odtwarzaczem filmów dla systemów uniksowych.
Obsługuje strumienie MPEG-2 i MPEG-1 (przeplatany dźwięk i obraz),
może być dodana obsługa MPEG-4 i innych formatów.

%description -l pt_BR.UTF-8
O xine é um video player GPL para sistemas unix. Lê arquivos MPEG-2 e
MPEG-1, além de AVIs MS MPEG4 / OpenDivX.

O xine lê o conteúdo vídeo e áudio e sincroniza-os em tempo-real. As
necessidades de processador dependem das propriedades de cada arquivo.

%package aa
Summary:	XINE - Ascii Art player
Summary(pl.UTF-8):	XINE - odtwarzacz Ascii Art
Summary(pt_BR.UTF-8):	XINE - Player em Ascii Art (aalib)
Group:		Applications/Multimedia
Requires:	xine-lib >= %{xine_ver}
Requires:	xine-output-video-aa >= %{xine_ver}
Requires:	xine-plugin-audio >= %{xine_ver}

%description aa
Video player using ASCII Art library.

%description aa -l pl.UTF-8
Odtwarzacz filmów używający biblioteki ASCII Art.

%description aa -l pt_BR.UTF-8
Interface para o xine utilizando aalib (ASCII Art Library).

%package caca
Summary:	XINE - Color ASCII Art player
Summary(pl.UTF-8):	XINE - odtwarzacz kolorowy ASCII Art
Group:		Applications/Multimedia
Requires:	xine-lib >= %{xine_ver}
Requires:	xine-output-video-caca >= %{xine_ver}
Requires:	xine-plugin-audio >= %{xine_ver}

%description caca
Video player using Colour ASCII Art library.

%description caca -l pl.UTF-8
Odtwarzacz filmów używający biblioteki CACA.

%package dfb
Summary:	XINE - player for DirectFB
Summary(pl.UTF-8):	XINE - odtwarzacz dla DirectFB
Group:		Applications/Multimedia
Requires:	xine-lib >= %{xine_ver}
Requires:	xine-output-video-directfb >= %{xine_ver}
Requires:	xine-plugin-audio >= %{xine_ver}

%description dfb
Video player using DirectFB library.

%description dfb -l pl.UTF-8
Odtwarzacz filmów używający biblioteki DirectFB.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__rm} po/stamp-po

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%{__autoheader}
%configure \
	%{!?with_lirc:--disable-lirc} \
	%{!?with_nvtv:--disable-nvtvsimple} \
	%{?with_vdr:--enable-vdr-keys} \
	%{!?with_aalib:--without-aalib}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_datadir}/xine/skins}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=$RPM_BUILD_ROOT%{_datadir}/doc/xine

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/xine/skins

cp src/xitk/xine-toolkit/README doc/README.xitk
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/{xine-ui,xitk}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog doc/{README.config_en,README.en.*,README.xitk}
%lang(cs) %doc doc/{README.cs.*,README_cs}
%lang(de) %doc doc/README_de
%lang(es) %doc doc/README_es
%lang(fi) %doc doc/README_fi
%lang(fr) %doc doc/README_fr
%lang(it) %doc doc/README_it
%lang(pl) %doc doc/README_pl
%lang(uk) %doc doc/README_uk
%attr(755,root,root) %{_bindir}/fbxine
%attr(755,root,root) %{_bindir}/xine
%attr(755,root,root) %{_bindir}/xine-bugreport
%attr(755,root,root) %{_bindir}/xine-check
%attr(755,root,root) %{_bindir}/xine-remote
%{_datadir}/xine
%{_datadir}/xine/desktop
%{_datadir}/xine/oxine
%{_datadir}/xine/skins
%{_datadir}/xine/visuals
%{_mandir}/man1/xine*.1*
%lang(de) %{_mandir}/de/man1/xine*.1*
%lang(es) %{_mandir}/es/man1/xine*.1*
%lang(fr) %{_mandir}/fr/man1/xine*.1*
%lang(pl) %{_mandir}/pl/man1/xine*.1*
%{_datadir}/mime/packages/xine-ui.xml
%{_desktopdir}/xine.desktop
%{_iconsdir}/hicolor/*/apps/xine.png
%{_pixmapsdir}/xine.xpm

%if %{with aalib}
%files aa
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aaxine
%{_mandir}/man1/aaxine.1*
%lang(de) %{_mandir}/de/man1/aaxine.1*
%lang(es) %{_mandir}/es/man1/aaxine.1*
%lang(pl) %{_mandir}/pl/man1/aaxine.1*
%endif

%if %{with caca}
%files caca
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cacaxine
%endif

%if %{with directfb}
%files dfb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dfbxine
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xine-ui.spec,v $
Revision 1.111  2012/02/15 11:27:37  lmasko
- /usr/share/xine must somewhere - so if it is no longer in xine-lib,
  it may be here.

Revision 1.110  2012/02/15 09:07:15  arekm
- release 4

Revision 1.109  2012/02/08 21:17:01  adamg
- release 3 (rebuild against libpng-1.5)

Revision 1.108  2011/12/20 19:35:11  arekm
- release 2

Revision 1.107  2011/02/20 06:49:51  qboosh
- updated to 0.99.6
- updated ncurses,pl.po patches, removed obsolete install_once patch and xine.png
- added lirc patch

Revision 1.106  2010/03/04 14:08:58  baggins
- rel 4

Revision 1.105  2010/01/28 19:03:21  amateja
- fixed build with libpng 1.4.0

Revision 1.104  2010/01/28 18:23:07  amateja
- release 3

Revision 1.103  2009/12/14 17:09:28  sparky
- BR: xorg-lib-libXt-devel

Revision 1.102  2009/12/14 10:19:13  sls
- added install_once.patch

Revision 1.101  2009/02/23 22:09:15  arekm
- release 2

Revision 1.100  2008/02/07 08:55:00  ankry
- unix -> Unix, gpl -> GPL, etc.

Revision 1.99  2007/05/13 12:07:47  qboosh
- CVE references for 0.99.5, updated xine-lib dep

Revision 1.98  2007/05/13 11:47:28  qboosh
- updated pl.po patch is back
- cleanup

Revision 1.97  2007/05/04 01:15:53  shadzik
- seems fine to me
- rel 1

Revision 1.96  2007/05/04 01:14:42  shadzik
- reverted my dfbxine bcond change, my bad, it actually isn't yet enabled in source

Revision 1.95  2007/05/04 01:09:51  shadzik
- removed obsolete patch4 (-caca.patch)

Revision 1.94  2007/05/04 00:57:36  shadzik
- reverted dfbxine bcond (fbxine builds actually fine)
- uncomment fbxine entry in %files

Revision 1.93  2007/05/04 00:52:45  shadzik
- apply again (new) patch0

Revision 1.92  2007/05/04 00:38:17  shadzik
- up to 0.99.5 [fixes CVE-2006-2230 CVE-2007-0254 CVE-2007-0255]
- some patches commented out (dunno if all are obsolete, patch0 seems so)
- explicitly tell configure to build aalib support

Revision 1.91  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.90  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.89  2007/02/08 17:20:56  arekm
- rel 7

Revision 1.88  2006/12/24 10:55:05  qboosh
- added caca patch, now builds with libcaca 0.99

Revision 1.87  2006/12/03 10:00:18  arekm
- no vdr patch in cvs

Revision 1.86  2006/12/02 11:37:56  arekm
- rel 6; new curl

Revision 1.85  2006/08/26 10:18:39  luzik
- added --enable-vdr-keys option

Revision 1.84  2006/08/26 09:56:36  luzik
- added VDR support

Revision 1.83  2006/08/07 16:04:36  qboosh
- sorted BRs

Revision 1.82  2006/08/06 17:31:31  wolf
- comment out fbxine

Revision 1.81  2006/08/06 17:06:14  wolf
- s/xft-devel/xorg-lib-libXft-devel/
- rel 5

Revision 1.80  2005/10/05 16:40:28  arekm
- rel 4

Revision 1.79  2005/09/28 22:44:15  saq
- rel 3 for libreadline.so.5

Revision 1.78  2005/09/16 09:30:14  arekm
- rel 2

Revision 1.77  2005/08/14 14:41:33  qboosh
- updated to 0.99.4, updated pl.po patch

Revision 1.76  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.75  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.74  2004/12/22 00:11:07  qboosh
- updated to 0.99.3, updated pl.po patch

Revision 1.73  2004/07/12 19:29:25  qboosh
- (ugly) nvtv bcond to deal with nvtv support on different archs

Revision 1.72  2004/07/05 22:39:13  qboosh
- updated to 0.99.2, updated pl.po patch

Revision 1.71  2004/04/23 23:37:33  qboosh
- updated to 0.99.1, updated pl.po patch, removed obsolete system-readline patch
- added caca ui
- use libnvtvsimple (available now)

Revision 1.70  2004/04/12 21:11:45  qboosh
- release 3: rebuild without unnecessary libs in xine-config

Revision 1.69  2004/04/12 19:55:32  qboosh
- dropped am18 patch, BR am 1.8.1 instead (bug present only in 1.8)
- added curl patch to fix build with recent versions of curl
- release 2

Revision 1.68  2003/12/31 13:42:53  qboosh
- updated to 0.9.23, removed opt patch, added am18 and pl.po patches

Revision 1.67  2003/12/05 00:48:41  adgor
- Switched to vfolders

Revision 1.66  2003/11/11 14:59:47  qboosh
- lirc is available on all archs now

Revision 1.65  2003/08/18 08:09:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.64  2003/08/16 11:13:25  qboosh
- aalib bcond unification (s/_without_aa/_without_aalib)
- moved aaxine manuals to proper package
- added fbxine (poorly, but works now)

Revision 1.63  2003/08/12 20:00:18  grzegol
- updated to 0.9.22

Revision 1.62  2003/06/23 12:56:06  ankry
- md5

Revision 1.61  2003/05/25 06:28:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.60  2003/05/20 19:55:13  qboosh
- updated opt patch is back (-O3, -finline-functions, -funroll-loops aren't good
  options for big programs... also, athlon detection is wrong - it could produce
  broken i686 packages on athlon machine with /proc mounted)
- added system-readline patch, BR: readline-devel

Revision 1.59  2003/05/19 17:01:28  djurban
- fixed in order to work with new xine-lib subpackaging tree

Revision 1.58  2003/05/18 05:40:48  misi3k
- removed opt patch

Revision 1.57  2003/05/18 05:36:04  misi3k
- updated to 0.9.21

Revision 1.56  2003/04/13 12:42:57  qboosh
- removed obsolete patches: DESTDIR,ac_am,dfb,no_corba
- new patches: nolibs (remove -lnsl), opt (don't override our flags with -O3)
- aalib-progs no longer needed (aalib-config used instead of aainfo)
- removed wrong _mandir definition

Revision 1.55  2003/03/11 20:14:30  misi3k
- updated to 0.9.19

Revision 1.54  2003/02/28 10:09:03  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.53  2003/02/21 19:17:05  mmazur
- upgraded to 0.9.18... hope it works :)

Revision 1.52  2002/12/27 23:24:40  qboosh
- use new Group Applications/Multimedia

Revision 1.51  2002/10/28 18:29:28  kloczek
- merge translations from TurboLinux.

Revision 1.50  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.49  2002/10/01 14:46:33  adgor
- Oops... fixed %%doc

Revision 1.48  2002/10/01 13:34:46  adgor
- Updated to 0.9.13

Revision 1.47  2002/09/21 16:48:04  blues
- release 3 - added requires xine-plugin-audio - STBR

Revision 1.46  2002/06/29 23:27:36  ankry
- use existing dirs (pl) for pl locale files
- added missing fi doc
- release 2

Revision 1.45  2002/06/24 19:39:01  kloczek
- disable lirc support on alpha and sparc*.

Revision 1.44  2002/06/24 16:57:10  kloczek
- simplification (use --all-name in %%find_lang macro parameters)

Revision 1.43  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.42  2002/06/23 15:03:24  jajcus
- fixed (back) automake invokation

Revision 1.41  2002/06/23 14:48:37  jajcus
- Release: 1

Revision 1.40  2002/06/23 12:39:34  jajcus
- Upgrade to 0.9.12 and fixes started

Revision 1.39  2002/06/21 12:14:57  wrobell
- ver. 0.9.11

Revision 1.38  2002/06/21 10:35:45  ankry
- added ac-am.patch
- release 2;STBR

Revision 1.37  2002/06/11 22:56:02  filon
- updated to 0.9.10
- added dfb subpakcage with dfbxine (for DirectFB)
- added confitional _with_directfb
- added many missing files, thx to my rpm changes :-)
- release 1, STBR

Revision 1.36  2002/05/22 08:29:44  qboosh
- removed skins dir and skins/xine_logo.png file (belong to xine-lib)
- new %%doc, release 0.3

Revision 1.35  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/03 21:32:56  filon
- aalib-devel implies gpm-devel, slang-devel
- release 0.2

Revision 1.33  2002/05/02 22:55:54  mkochano
- More BuildRequires.
- xinerc removed from %%files. There is no such file.

Revision 1.32  2002/05/02 16:54:52  jajcus
- Version: 0.9.9

Revision 1.31  2002/04/24 04:41:24  kloczek
- release 3: merge translations from Conectiva.

Revision 1.30  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.29  2002/03/03 08:35:56  kloczek
- release 2: added png Icon for desktop file.

Revision 1.28  2002/02/27 03:53:43  kloczek
- updated to 0.9.8 (merge DEVEL branch).

Revision 1.27  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/20 12:31:38  jajcus
- Version: 0.9.8

Revision 1.25.2.2  2002/01/20 15:38:18  jajcus
- missing english docs added

Revision 1.25.2.1  2002/01/20 12:31:52  jajcus
- Version: 0.9.8

Based on spec by Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
